Skip to content

List metaobject definition entry counts

View as Markdown
get /api/metaobject_definitions/entry_counts

Retrieves the collection of MetaobjectDefinitionCount resources.

Returns the number of entries of every metaobject definition in a single call. Definitions without any entry are returned with a count of 0, and all entries are counted, whatever their status. Requires the metaobjects:read scope. This endpoint is only available in the unstable version.

Query parameters

NameTypeRequiredDescription
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}

Response

200 - MetaobjectDefinitionCount collection

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
memberMetaobjectDefinitionCount[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
countinteger-The number of entries of this metaobject definition, whatever their status.
definitionobject-The IRI of the metaobject definition the entries are counted for.
definitionIdstring-The identifier of the metaobject definition the entries are counted for.

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-